MapJoin
Date: 2016-06-24

javax.persistence.criteria

## Interface MapJoin<Z,K,V>

- All Superinterfaces:
    Expression<V>, FetchParent<Z,V>, From<Z,V>, Join<Z,V>, Path<V>, PluralJoin<Z,java.util.Map<K,V>,V>, Selection<V>, TupleElement<V>

      public interface MapJoin<Z,K,V>
      extends PluralJoin<Z,java.util.Map<K,V>,V>

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Expression<java.util.Map.Entry<K,V>>` | `entry()`
    `MapAttribute<? super Z,K,V>` | `getModel()`
    `Path<K>` | `key()`
    `Path<V>` | `value()`

    - ### Methods inherited from interface javax.persistence.criteria.Join

      `getAttribute, getJoinType, getParent`

    - ### Methods inherited from interface javax.persistence.criteria.From

      `getCorrelationParent, getJoins, isCorrelated, join, join, join, join, join, join, join, join, join, join, join, join, joinCollection, joinCollection, joinList, joinList, joinMap, joinMap, joinSet, joinSet`

    - ### Methods inherited from interface javax.persistence.criteria.Path

      `get, get, get, get, getParentPath, type`

    - ### Methods inherited from interface javax.persistence.criteria.Expression

      `as, in, in, in, in, isNotNull, isNull`

    - ### Methods inherited from interface javax.persistence.criteria.Selection

      `alias, getCompoundSelectionItems, isCompoundSelection`

    - ### Methods inherited from interface javax.persistence.TupleElement

      `getAlias, getJavaType`

    - ### Methods inherited from interface javax.persistence.criteria.FetchParent

      `fetch, fetch, fetch, fetch, fetch, fetch, getFetches`

- - ### Method Detail

    - #### getModel

          MapAttribute<? super Z,K,V> getModel()

      Specified by:
        `getModel` in interface `Path<V>`
      Specified by:
        `getModel` in interface `PluralJoin<Z,java.util.Map<K,V>,V>`

    - #### key

          Path<K> key()

    - #### value

          Path<V> value()

    - #### entry

          Expression<java.util.Map.Entry<K,V>> entry()